EduHelp/urls.py
from django.contrib import admin, auth
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('accounts/', include('django.contrib.auth.urls')),
    path('', include('register.urls'))
]

register/urls.py
from django.urls import path
from rest_framework.urlpatterns import format_suffix_patterns
from .views import IndexView, MessageSentView, MessageView, SentMessageDetail, SentMessageList, StudentClassListView, StudentCourseListView, StudentHomeworkListView, StudentLessonListView, StudentSiteView, StudentTeacherListView, StudentTestsListView, StudentRemarkListView, TeacherCourseList, TeacherCoursePresenceView, TeacherGradeList, TeacherLessonPresenceFormView, TeacherNewLessonView, TeacherSiteView, CaretakerSiteView, \
CaretakerList, CaretakerDetail, TeacherList, TeacherDetail, ClassList, ClassDetail, StudentList, StudentDetail, SubjectTypeList, SubjectTypeDetail, SubjectList, SubjectDetail, CourseList, CourseDetail, GradeValueList, GradeValueDetail, GradeTypeList, GradeTypeDetail, GradeList, GradeDetail, PlannedHomeworkList, PlannedHomeworkDetail, PlannedTestList, PlannedTestDetail, StudentRemarkList, StudentRemarkDetail, \
    CaretakerCreate, TeacherCreate, ClassCreate, StudentCreate, SubjectTypeCreate, SubjectCreate, CourseCreate, CoursePresenceCreate, GradeValueCreate, GradeTypeCreate, GradeCreate, PlannedHomeworkCreate, PlannedTestCreate, StudentRemarkCreate, \
        CaretakerUpdate, TeacherStudentLessonListView, TeacherStudentRemarkListView, TeacherUpdate, ClassUpdate, StudentUpdate, SubjectTypeUpdate, SubjectUpdate, CourseUpdate, CoursePresenceUpdate, GradeValueUpdate, GradeTypeUpdate, GradeUpdate, PlannedHomeworkUpdate, PlannedTestUpdate, StudentRemarkUpdate, \
            CaretakerDelete, TeacherDelete, ClassDelete, get_remarks_for_student, courses_for_student, all_years_for_student, own_id, students_for_caretaker, tests_for_course, homework_for_course, teacher_new_test, teacher_new_homework, get_remarks, add_grade, all_caretakers_for_class, all_grades, StudentDelete, SubjectTypeDelete, SubjectDelete, CourseDelete, CoursePresenceDelete, GradeValueDelete, GradeTypeDelete, GradeDelete, PlannedHomeworkDelete, PlannedTestDelete, StudentRemarkDelete, all_grades_course, all_semesters, all_teachers_for_student, all_teachers, all_years, create_remark, current_semester, current_user, current_year, delete_grade, delete_lesson, edit_lesson, generate_grades_csv, generate_grades_json, generate_grades_xlsx, generate_grades_xml, generate_statistics_csv, generate_statistics_json, generate_statistics_pdf, generate_statistics_xml, generate_statistics_xlsx, get_received_messages, get_remarks_for_class, get_sent_messages, grade_values_types, grades, generate_grades_pdf, TeacherClassList, TeacherLessonList, TeacherCreateLesson, TeacherCourseGradesView, homework, lessons_for_course, semesters_for_year, send_message, teacher_all_classes, teacher_classes, teacher_courses, teacher_new_lesson, teacher_students, teacher_subjects, tests, update_received_message, courses_for_semester  

app_name='register'

urlpatterns = [
    # regular views for application
    path('', IndexView.as_view(), name='index'),
    path('student_site/', StudentSiteView.as_view(), name='student_site'),
    path('student_site/class/', StudentClassListView.as_view(), name='student_class_list'),
    
    path('send_message/<int:receiver_id>/', MessageView.as_view(), name='send_message'),
    path('message_sent/', MessageSentView.as_view(), name='message_sent'),

    path('student_site/teachers/', StudentTeacherListView.as_view(), name='student_teacher_list'),
    path('student_site/courses/', StudentCourseListView.as_view(), name='student_course_list'),
    
    path('gen_grades_pdf/<int:semester_id>/', generate_grades_pdf, name='generate_grades_pdf'),
    path('gen_grades_xml/<int:semester_id>/', generate_grades_xml, name='generate_grades_xml'),
    path('gen_grades_json/<int:semester_id>/', generate_grades_json, name='generate_grades_json'),
    path('gen_grades_csv/<int:semester_id>/', generate_grades_csv, name='generate_grades_csv'),
    path('gen_grades_xlsx/<int:semester_id>/', generate_grades_xlsx, name='generate_grades_xlsx'),
    
    path('gen_stats_pdf/<int:semester_id>/', generate_statistics_pdf, name='generate_statistics_pdf'),
    path('gen_stats_xml/<int:semester_id>/', generate_statistics_xml, name='generate_statistics_xml'),
    path('gen_stats_json/<int:semester_id>/', generate_statistics_json, name='generate_statistics_json'),
    path('gen_stats_csv/<int:semester_id>/', generate_statistics_csv, name='generate_statistics_csv'),
    path('gen_stats_xlsx/<int:semester_id>/', generate_statistics_xlsx, name='generate_statistics_xlsx'),

    path('gen_grades_pdf/<int:user>/', generate_grades_pdf, name='generate_grades_pdf'),
    path('gen_grades_xml/<int:user>/', generate_grades_xml, name='generate_grades_xml'),
    path('gen_grades_json/<int:user>/', generate_grades_json, name='generate_grades_json'),
    path('gen_grades_csv/<int:user>/', generate_grades_csv, name='generate_grades_csv'),
    path('gen_grades_xlsx/<int:user>/', generate_grades_xlsx, name='generate_grades_xlsx'),
    
    path('gen_stats_pdf/<int:user>/', generate_statistics_pdf, name='generate_statistics_pdf'),
    path('gen_stats_xml/<int:user>/', generate_statistics_xml, name='generate_statistics_xml'),
    path('gen_stats_json/<int:user>/', generate_statistics_json, name='generate_statistics_json'),
    path('gen_stats_csv/<int:user>/', generate_statistics_csv, name='generate_statistics_csv'),
    path('gen_stats_xlsx/<int:user>/', generate_statistics_xlsx, name='generate_statistics_xlsx'),

    path('student_site/homework/', StudentHomeworkListView.as_view(), name='student_homework_list'),
    path('student_site/tests/', StudentTestsListView.as_view(), name='student_test_list'),
    path('student_site/remarks/', StudentRemarkListView.as_view(), name='student_remark_list'),
    path('student_site/lessons/<int:course_id>/', StudentLessonListView.as_view(), name='student_lesson_list'),

    path('teacher_site/', TeacherSiteView.as_view(), name='teacher_site'),
    path('teacher_site/classes/', TeacherClassList.as_view(), name='teacher_class_list'),
    path('teacher_site/courses/', TeacherCourseList.as_view(), name='teacher_course_list'),
    path('teacher_site/lessons/<int:course_id>/', TeacherLessonList.as_view(), name='teacher_lesson_list'),
    path('teacher_site/lessons/<int:course_id>/create/', TeacherCreateLesson.as_view(), name='teacher_lesson_create'),
    path('teacher_site/grades/<int:student_id>/', TeacherGradeList.as_view(), name="teacher_student_grade_list"),
    path('teacher_site/lessons_and_presence/<int:course_id>/<int:student_id>/', TeacherStudentLessonListView.as_view(), name='teacher_student_lesson_list'),
    path('teacher_site/remarks/<int:student_id>/', TeacherStudentRemarkListView.as_view(), name='teacher_student_remark_list'),
    path('teacher_site/presence/<int:lesson_id>/', TeacherCoursePresenceView.as_view(), name='teacher_course_presence'),
    path('teacher_site/course/grades/<int:course_id>/', TeacherCourseGradesView.as_view(), name='teacher_course_grades_list'),
    path('teacher_site/lesson/presence/<int:lesson_id>/', TeacherLessonPresenceFormView.as_view(), name='teacher_lesson_presence_set'),
    path('teacher_site/new_lesson/', TeacherNewLessonView.as_view(), name='teacher_new_lesson'),

    path('caretaker_site/', CaretakerSiteView.as_view(), name='caretaker_site'),

    # create db urls
    path('register/create/caretaker/', CaretakerCreate.as_view(), name='create_caretaker'),
    path('register/create/teacher/', TeacherCreate.as_view(), name='create_teacher'),
    path('register/create/class/', ClassCreate.as_view(), name='create_class'),
    path('register/create/student/', StudentCreate.as_view(), name='create_student'),
    path('register/create/subject_type/', SubjectTypeCreate.as_view(), name='create_subject_type'),
    path('register/create/subject/', SubjectCreate.as_view(), name='create_subject'),
    path('register/create/course/', CourseCreate.as_view(), name='create_course'),
    path('register/create/course_presence/', CoursePresenceCreate.as_view(), name='create_course_presence'),
    path('register/create/grade_value/', GradeValueCreate.as_view(), name='create_grade_value'),
    path('register/create/grade_type/', GradeTypeCreate.as_view(), name='create_grade_type'),
    path('register/create/grade/', GradeCreate.as_view(), name='create_grade'),
    path('register/create/planned_homework/', PlannedHomeworkCreate.as_view(), name='create_planned_homework'),
    path('register/create/planned_test/', PlannedTestCreate.as_view(), name='create_planned_test'),
    path('register/create/student_remark/', StudentRemarkCreate.as_view(), name='create_student_remark'),


    # update db urls
    path('register/update/caretaker/<int:pk>', CaretakerUpdate.as_view()),
    path('register/update/teacher/<int:pk>', TeacherUpdate.as_view()),
    path('register/update/class/<int:pk>', ClassUpdate.as_view()),
    path('register/update/student/<int:pk>', StudentUpdate.as_view()),
    path('register/update/subject_type/<int:pk>', SubjectTypeUpdate.as_view()),
    path('register/update/subject/<int:pk>', SubjectUpdate.as_view()),
    path('register/update/course/<int:pk>', CourseUpdate.as_view()),
    path('register/update/course_presence/<int:pk>', CoursePresenceUpdate.as_view()),
    path('register/update/grade_value/<int:pk>', GradeValueUpdate.as_view()),
    path('register/update/grade_type/<int:pk>', GradeTypeUpdate.as_view()),
    path('register/update/grade/<int:pk>', GradeUpdate.as_view()),
    path('register/update/planned_homework/<int:pk>', PlannedHomeworkUpdate.as_view()),
    path('register/update/planned_test/<int:pk>', PlannedTestUpdate.as_view()),
    path('register/update/student_remark/<int:pk>', StudentRemarkUpdate.as_view()),

    # delete db urls
    path('register/delete/caretaker/<int:pk>', CaretakerDelete.as_view()),
    path('register/delete/teacher/<int:pk>', TeacherDelete.as_view()),
    path('register/delete/class/<int:pk>', ClassDelete.as_view()),

templates/base.html
{% extends 'super_base.html' %}

{% block title %}
    <title>EduHelp</title>
{% endblock title %}

{% block body %}
    <header>
        {% include 'header.html' %}
        {% block additional_header %}
        
        {% endblock additional_header %}
    </header>

    {% block content %}
    
    {% endblock content %}

    <footer>
        {% include 'footer.html' %}
    </footer>
    {% include 'body_bootstrap.html' %}
{% endblock body %}

templates/basic_css.html
{% load static %}
<link rel="stylesheet" href="{% static 'style.css' %}">

templates/body_bootstrap.html
{% load static %}


<script src="{% static "js/main.js" %}"></script>

templates/header - Copy.html
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-wEmeIV1mKuiNpC+IOBjI7aAzPcEZeedi5yW5f2yOq55WWLwNGmvvx4Um1vskeMj0" crossorigin="anonymous">
<nav class="navbar navbar-light bg-light">
    <a class="navbar-brand" href="{% url "register:index" %}">
        <img src="no_source_yet" width="30" height="30" class="d-inline-block align-top" alt="EduHelp logo">
            EduHelp
    </a>
    <div class="collapse navbar-collapse" id="navbarText">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
                <a class="nav-link" href="#">Strona główna<span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="#">Aktualności</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="#">Forum</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="#">Bazarek</a>
            </li>
            <span class="navbar-text">
                {% if user.is_authenticated %}
                    {{user.get_full_name}}, jesteś zalogowany!
                {% else %}
                    Jesteś niezalogowany.
                {% endif %}
            </span>
        </ul>
    </div>
</nav>

templates/header.html
<nav class="navbar navbar-expand-lg navbar-light bg-light sticky-top">
  <div class="container-fluid">
    <a class="navbar-brand" href="{% url 'register:index' %}">EduHelp</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarText">
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        <li class="nav-item">
          <a class="nav-link active" aria-current="page" href="{% url 'register:index' %}"></a>
        </li>
      </ul>
      <span class="navbar-text">
        {% if user.is_authenticated %}
            {{user.get_full_name}}, jesteś zalogowany.
            <a href="{% url 'logout' %}">Wyloguj</a>
        {% else %}
            Jesteś niezalogowany.
            <a href="{% url 'login' %}">Zaloguj się</a>
        {% endif %}
      </span>
    </div>
  </div>
</nav>

templates/header_bootstrap.html
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-wEmeIV1mKuiNpC+IOBjI7aAzPcEZeedi5yW5f2yOq55WWLwNGmvvx4Um1vskeMj0" crossorigin="anonymous">

templates/super_base.html
{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    {% include 'header_bootstrap.html' %}
    {% include 'basic_css.html' %}
    {% block head %}{% endblock head %}
    {% block title %}
    {% endblock title %}
</head>
<body>
    {% block body %}{% endblock body %}
    {% block scripts %}{% endblock scripts %}
</body>
</html>